Subject: Re: [PATCH net-next 1/1] net: dsa: qca8k: Fix internal PHY MDIO address

From: Christian Lamparter <[email-masked]>
Date: Mon, 25 Mar 2019 18:51:26 +0100

On Thursday, March 21, 2019 8:55:55 PM CET Marek Behun wrote:
> Hi,
> 
> Oh, I didn't know about Christian's patch.
> 
> I shall test on our device tomorrow. If it works, we will use internal
> PHY access.
> 
> But I think that qca8k_port_to_phy should be used in the external mode
> as well. On our device the PHYs are mapped on 0-4 on the master bus even
> in that mode.

Any news regarding your test?

Here's a direct link to the series:
<https://patchwork.ozlabs.org/project/netdev/list/?series=98562>

To test the internal phy you would need 3/4 + 4/4.

Cheers,
Christian